Get Brand
GET
/api/v1/brands/{brand_id}
const url = 'https://api.ultimateteam.ai/api/v1/brands/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/brands/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-API-Key: <X-API-Key>'Get a single brand by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”brand_id
required
Brand Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
BrandConfig
Full brand configuration snapshot (read model).
object
contact_info
custom_hostname_status
Custom Hostname Status
string
id
required
Id
string format: uuid
name
required
Name
string
personality
sending_domain_status
Sending Domain Status
string
slug
required
Slug
string
tenant_id
required
Tenant Id
string format: uuid
theme
BrandTheme
Visual theme for a brand (hex color codes only).
object
background_color
Background Color
string
primary_color
Primary Color
string
text_color
Text Color
string
Example
{ "custom_hostname_status": "not_configured", "personality": { "formality": 5, "tone": "formal" }, "sending_domain_status": "not_configured", "theme": { "background_color": "#1A1A1A", "primary_color": "#C8A951", "text_color": "#F5F0EB" }}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}